Package org.apache.commons.net.ftp.parser

# Class ParserInitializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.net.ftp.parser.ParserInitializationException

All Implemented Interfaces:
  `Serializable`

public class ParserInitializationException extends RuntimeException
This class encapsulates all errors that may be thrown by the process of an FTPFileEntryParserFactory creating and instantiating an FTPFileEntryParser.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParserInitializationException(String message)`
  Constructs a ParserInitializationException with just a message
  `ParserInitializationException(String message, Throwable rootCause)`
  Constructs a ParserInitializationException with a message and a root cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getRootCause()`
  Deprecated.
  Use `Throwable.getCause()` instead

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParserInitializationException

    public ParserInitializationException(String message)
    Constructs a ParserInitializationException with just a message
    Parameters:
      `message` - Exception message

  - ### ParserInitializationException

    public ParserInitializationException(String message, Throwable rootCause)
    Constructs a ParserInitializationException with a message and a root cause.
    Parameters:
      `message` - Exception message
      `rootCause` - root cause throwable that caused this to be thrown

- ## Method Details

  - ### getRootCause

    @Deprecated public Throwable getRootCause()
    Deprecated.
    Use `Throwable.getCause()` instead
    Gets the root cause of this exception or null if no root cause was specified.
    Returns:
      the root cause of this exception being thrown